Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tfg.politmiro.totbolets
Class FotoActivity

    java.lang.Object
      Activity
          com.tfg.politmiro.totbolets.FotoActivity

    public class FotoActivity

extends Activity

Author:
  Polit Miro Classe que serveix perque l'usuari pugui realitzar, guardar i compartir les seves fotografies de bolets.

Field Summary
`OnClickListener` | `capturaFoto` Metode que serveix per cridar el hardware de la camera del dispositiu per realitzar una fotografia d'un bolet.
`OnClickListener` | `clickBtnCerca` Metode que es activat quan es clica el bot— Cerca de la barra de menœ principal Ens portarˆ a MainActivity i amb el valor cerca = 1
`OnClickListener` | `clickBtnJoc` Metode que es activat quan es clica el bot— Joc de la barra de menœ principal Ens portarˆ a JocActivity
`OnClickListener` | `clickBtnMain` Metode que es activat quan es clica el bot— Main de la barra de menœ principal Ens portarˆ a MainActivity
`OnClickListener` | `comparteixFoto` Metode que ens serveix per compartir la imatge realitzada per l'usuari a les diverses aplicacions del dispositiu que aixi ho permetin, com per exemple, les xarxes socials.
`OnClickListener` | `enviaFoto` Metode que serveix per enviar la imatge amb com a un adjunt d'un email a TotBolets, per tal de colaborar amb la base de dades per realitzar el reconeixedor automatic de bolets.

Constructor Summary
`FotoActivity()`

Method Summary
`void` | `despresDeLaFoto()` Metode que comprova si s'ha realitzat una fotografia, si es aixi, amaga la imatge explicativa del que es pot fer en una activitat, i mostra els botons que permeten compartir i enviar, i mante el de fer una nova foto.
`void` | `onBackPressed()` Metode que es cridat pel bot— back del dispositiu, i que ens envia a la MainActivity
`void` | `onCreate(Bundle savedInstanceState)`
`boolean` | `onCreateOptionsMenu(Menu menu)`
`void` | `onScroll(AbsListView view, int firstVisibleItem, int visibleItemCount, int totalItemCount)`
`void` | `onScrollStateChanged(AbsListView view, int scrollState)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### capturaFoto

    public OnClickListener capturaFoto

  Metode que serveix per cridar el hardware de la camera del dispositiu per realitzar una fotografia d'un bolet.

### enviaFoto

    public OnClickListener enviaFoto

  Metode que serveix per enviar la imatge amb com a un adjunt d'un email a TotBolets, per tal de colaborar amb la base de dades per realitzar el reconeixedor automatic de bolets.

### comparteixFoto

    public OnClickListener comparteixFoto

  Metode que ens serveix per compartir la imatge realitzada per l'usuari a les diverses aplicacions del dispositiu que aixi ho permetin, com per exemple, les xarxes socials.

### clickBtnJoc

    public OnClickListener clickBtnJoc

  Metode que es activat quan es clica el bot— Joc de la barra de menœ principal Ens portarˆ a JocActivity

### clickBtnCerca

    public OnClickListener clickBtnCerca

  Metode que es activat quan es clica el bot— Cerca de la barra de menœ principal Ens portarˆ a MainActivity i amb el valor cerca = 1

### clickBtnMain

    public OnClickListener clickBtnMain

  Metode que es activat quan es clica el bot— Main de la barra de menœ principal Ens portarˆ a MainActivity

Constructor Detail

### FotoActivity

    public FotoActivity()

Method Detail

### onCreate

    public void onCreate(Bundle savedInstanceState)

### despresDeLaFoto

    public void despresDeLaFoto()

  Metode que comprova si s'ha realitzat una fotografia, si es aixi, amaga la imatge explicativa del que es pot fer en una activitat, i mostra els botons que permeten compartir i enviar, i mante el de fer una nova foto.

### onCreateOptionsMenu

    public boolean onCreateOptionsMenu(Menu menu)

### onScroll

    public void onScroll(AbsListView view,
                         int firstVisibleItem,
                         int visibleItemCount,
                         int totalItemCount)

### onScrollStateChanged

    public void onScrollStateChanged(AbsListView view,
                                     int scrollState)

### onBackPressed

    public void onBackPressed()

  Metode que es cridat pel bot— back del dispositiu, i que ens envia a la MainActivity

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD